Retail Express API 2.1

orderpayments

Searches Order Payments by parameters

Searches Order Payments by parameters

get
https://api.retailexpress.com.au/v2/orderpayments

Query Parameters

idstring | null

Order Payment Id or Collection of Order Payment Ids (comma separated)
Example: 1,2,3

order_idstring | null

Order Id or Collection of Order Ids (comma separated)
Example: 1,2,3

order_numberstring | null

Order Number or Collection of Order Numbers (comma separated)
Example: 1,2,3

payment_methodstring | null

Payment Method or Collection of Payment Methods (comma separated)
Example: 1,2,3

created_sincestring | null(date-time)

Created since

order_bystring | null

Order by.

Available field name values: id, order_id, order_number, payment_method, created_on

Available direction values: asc, desc.

Example: order_id asc, order_number desc

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Order Payments data

ExtendedOrderPayment.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Order Payment Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/orderpayments
 
application/json

Gets specific Order Payment

Gets specific Order Payment

get
https://api.retailexpress.com.au/v2/orderpayments/{id}

Path Parameters

idinteger(int32)required

Payment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Order Payment

ExtendedOrderPayment

Order Payment Model

* Additional properties are NOT allowed.
idinteger(int32)

Order Payment Id .

external_idstring | null

External Id.

payment_methodobject

Payment Method Model

* Additional properties are NOT allowed.
Show Child Parameters
amountnumber(double)

Amount.

created_onstring(date-time)

Created On.

order_idinteger(int32)

Order Id .

order_numberstring | null

Order Number.

get/orderpayments/{id}
 
application/json

orders

Searches Order Fulfilments by parameters

Searches Order Fulfilments by parameters

get
https://api.retailexpress.com.au/v2/orders/{id}/fulfilments

Query Parameters

created_sincestring | null(date-time)

Created since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Order id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Order Fulfilments data

Fulfilment.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Fulfilment model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/orders/{id}/fulfilments
 
application/json